Package org.apache.storm.jdbc.trident.state

## Class JdbcState

- java.lang.Object
- - org.apache.storm.jdbc.trident.state.JdbcState

- All Implemented Interfaces:
    `State`

      public class JdbcState
      extends Object
      implements State

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JdbcState.Options` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `JdbcState​(Map<String,​Object> map, int partitionIndex, int numPartitions, JdbcState.Options options)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<List<Values>>` | `batchRetrieve​(List<TridentTuple> tridentTuples)` |
    `void` | `beginCommit​(Long someLong)` |
    `void` | `commit​(Long someLong)` |
    `protected void` | `prepare()` |
    `void` | `updateState​(List<TridentTuple> tuples, TridentCollector collector)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcState

          protected JdbcState​(Map<String,​Object> map,
                              int partitionIndex,
                              int numPartitions,
                              JdbcState.Options options)

  - ### Method Detail

    - #### prepare

          protected void prepare()

    - #### beginCommit

          public void beginCommit​(Long someLong)

      Specified by:
        `beginCommit` in interface `State`

    - #### commit

          public void commit​(Long someLong)

      Specified by:
        `commit` in interface `State`

    - #### updateState

          public void updateState​(List<TridentTuple> tuples,
                                  TridentCollector collector)

    - #### batchRetrieve

          public List<List<Values>> batchRetrieve​(List<TridentTuple> tridentTuples)